Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network129.7.64.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
129.7.64.0
Broadcast address
129.7.95.255
First usable
129.7.64.1
Last usable
129.7.95.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
B (default /16)
As numbers
Hex 81074000 · Integer 2164736000 to 2164744191
Reverse DNS zones
64.7.129.in-addr.arpa
65.7.129.in-addr.arpa
66.7.129.in-addr.arpa
67.7.129.in-addr.arpa
68.7.129.in-addr.arpa
69.7.129.in-addr.arpa
70.7.129.in-addr.arpa
71.7.129.in-addr.arpa
72.7.129.in-addr.arpa
73.7.129.in-addr.arpa
74.7.129.in-addr.arpa
75.7.129.in-addr.arpa
76.7.129.in-addr.arpa
77.7.129.in-addr.arpa
78.7.129.in-addr.arpa
79.7.129.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000001.00000111.01000000.00000000129.7.64.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10000001.00000111.01000000.00000000129.7.64.0
Broadcast10000001.00000111.01011111.11111111129.7.95.255
Split into smaller subnets/30

129.7.64.0/19 makes 2,048 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1129.7.64.0/30129.7.64.1 to 129.7.64.2129.7.64.32
2129.7.64.4/30129.7.64.5 to 129.7.64.6129.7.64.72
3129.7.64.8/30129.7.64.9 to 129.7.64.10129.7.64.112
4129.7.64.12/30129.7.64.13 to 129.7.64.14129.7.64.152
5129.7.64.16/30129.7.64.17 to 129.7.64.18129.7.64.192
6129.7.64.20/30129.7.64.21 to 129.7.64.22129.7.64.232
7129.7.64.24/30129.7.64.25 to 129.7.64.26129.7.64.272
8129.7.64.28/30129.7.64.29 to 129.7.64.30129.7.64.312
9129.7.64.32/30129.7.64.33 to 129.7.64.34129.7.64.352
10129.7.64.36/30129.7.64.37 to 129.7.64.38129.7.64.392
11129.7.64.40/30129.7.64.41 to 129.7.64.42129.7.64.432
12129.7.64.44/30129.7.64.45 to 129.7.64.46129.7.64.472
13129.7.64.48/30129.7.64.49 to 129.7.64.50129.7.64.512
14129.7.64.52/30129.7.64.53 to 129.7.64.54129.7.64.552
15129.7.64.56/30129.7.64.57 to 129.7.64.58129.7.64.592
16129.7.64.60/30129.7.64.61 to 129.7.64.62129.7.64.632
17129.7.64.64/30129.7.64.65 to 129.7.64.66129.7.64.672
18129.7.64.68/30129.7.64.69 to 129.7.64.70129.7.64.712
19129.7.64.72/30129.7.64.73 to 129.7.64.74129.7.64.752
20129.7.64.76/30129.7.64.77 to 129.7.64.78129.7.64.792
21129.7.64.80/30129.7.64.81 to 129.7.64.82129.7.64.832
22129.7.64.84/30129.7.64.85 to 129.7.64.86129.7.64.872
23129.7.64.88/30129.7.64.89 to 129.7.64.90129.7.64.912
24129.7.64.92/30129.7.64.93 to 129.7.64.94129.7.64.952
25129.7.64.96/30129.7.64.97 to 129.7.64.98129.7.64.992
26129.7.64.100/30129.7.64.101 to 129.7.64.102129.7.64.1032
27129.7.64.104/30129.7.64.105 to 129.7.64.106129.7.64.1072
28129.7.64.108/30129.7.64.109 to 129.7.64.110129.7.64.1112
29129.7.64.112/30129.7.64.113 to 129.7.64.114129.7.64.1152
30129.7.64.116/30129.7.64.117 to 129.7.64.118129.7.64.1192
31129.7.64.120/30129.7.64.121 to 129.7.64.122129.7.64.1232
32129.7.64.124/30129.7.64.125 to 129.7.64.126129.7.64.1272
33129.7.64.128/30129.7.64.129 to 129.7.64.130129.7.64.1312
34129.7.64.132/30129.7.64.133 to 129.7.64.134129.7.64.1352
35129.7.64.136/30129.7.64.137 to 129.7.64.138129.7.64.1392
36129.7.64.140/30129.7.64.141 to 129.7.64.142129.7.64.1432
37129.7.64.144/30129.7.64.145 to 129.7.64.146129.7.64.1472
38129.7.64.148/30129.7.64.149 to 129.7.64.150129.7.64.1512
39129.7.64.152/30129.7.64.153 to 129.7.64.154129.7.64.1552
40129.7.64.156/30129.7.64.157 to 129.7.64.158129.7.64.1592
41129.7.64.160/30129.7.64.161 to 129.7.64.162129.7.64.1632
42129.7.64.164/30129.7.64.165 to 129.7.64.166129.7.64.1672
43129.7.64.168/30129.7.64.169 to 129.7.64.170129.7.64.1712
44129.7.64.172/30129.7.64.173 to 129.7.64.174129.7.64.1752
45129.7.64.176/30129.7.64.177 to 129.7.64.178129.7.64.1792
46129.7.64.180/30129.7.64.181 to 129.7.64.182129.7.64.1832
47129.7.64.184/30129.7.64.185 to 129.7.64.186129.7.64.1872
48129.7.64.188/30129.7.64.189 to 129.7.64.190129.7.64.1912
49129.7.64.192/30129.7.64.193 to 129.7.64.194129.7.64.1952
50129.7.64.196/30129.7.64.197 to 129.7.64.198129.7.64.1992
51129.7.64.200/30129.7.64.201 to 129.7.64.202129.7.64.2032
52129.7.64.204/30129.7.64.205 to 129.7.64.206129.7.64.2072
53129.7.64.208/30129.7.64.209 to 129.7.64.210129.7.64.2112
54129.7.64.212/30129.7.64.213 to 129.7.64.214129.7.64.2152
55129.7.64.216/30129.7.64.217 to 129.7.64.218129.7.64.2192
56129.7.64.220/30129.7.64.221 to 129.7.64.222129.7.64.2232
57129.7.64.224/30129.7.64.225 to 129.7.64.226129.7.64.2272
58129.7.64.228/30129.7.64.229 to 129.7.64.230129.7.64.2312
59129.7.64.232/30129.7.64.233 to 129.7.64.234129.7.64.2352
60129.7.64.236/30129.7.64.237 to 129.7.64.238129.7.64.2392
61129.7.64.240/30129.7.64.241 to 129.7.64.242129.7.64.2432
62129.7.64.244/30129.7.64.245 to 129.7.64.246129.7.64.2472
63129.7.64.248/30129.7.64.249 to 129.7.64.250129.7.64.2512
64129.7.64.252/30129.7.64.253 to 129.7.64.254129.7.64.2552
65129.7.65.0/30129.7.65.1 to 129.7.65.2129.7.65.32
66129.7.65.4/30129.7.65.5 to 129.7.65.6129.7.65.72
67129.7.65.8/30129.7.65.9 to 129.7.65.10129.7.65.112
68129.7.65.12/30129.7.65.13 to 129.7.65.14129.7.65.152
69129.7.65.16/30129.7.65.17 to 129.7.65.18129.7.65.192
70129.7.65.20/30129.7.65.21 to 129.7.65.22129.7.65.232
71129.7.65.24/30129.7.65.25 to 129.7.65.26129.7.65.272
72129.7.65.28/30129.7.65.29 to 129.7.65.30129.7.65.312
73129.7.65.32/30129.7.65.33 to 129.7.65.34129.7.65.352
74129.7.65.36/30129.7.65.37 to 129.7.65.38129.7.65.392
75129.7.65.40/30129.7.65.41 to 129.7.65.42129.7.65.432
76129.7.65.44/30129.7.65.45 to 129.7.65.46129.7.65.472
77129.7.65.48/30129.7.65.49 to 129.7.65.50129.7.65.512
78129.7.65.52/30129.7.65.53 to 129.7.65.54129.7.65.552
79129.7.65.56/30129.7.65.57 to 129.7.65.58129.7.65.592
80129.7.65.60/30129.7.65.61 to 129.7.65.62129.7.65.632
81129.7.65.64/30129.7.65.65 to 129.7.65.66129.7.65.672
82129.7.65.68/30129.7.65.69 to 129.7.65.70129.7.65.712
83129.7.65.72/30129.7.65.73 to 129.7.65.74129.7.65.752
84129.7.65.76/30129.7.65.77 to 129.7.65.78129.7.65.792
85129.7.65.80/30129.7.65.81 to 129.7.65.82129.7.65.832
86129.7.65.84/30129.7.65.85 to 129.7.65.86129.7.65.872
87129.7.65.88/30129.7.65.89 to 129.7.65.90129.7.65.912
88129.7.65.92/30129.7.65.93 to 129.7.65.94129.7.65.952
89129.7.65.96/30129.7.65.97 to 129.7.65.98129.7.65.992
90129.7.65.100/30129.7.65.101 to 129.7.65.102129.7.65.1032
91129.7.65.104/30129.7.65.105 to 129.7.65.106129.7.65.1072
92129.7.65.108/30129.7.65.109 to 129.7.65.110129.7.65.1112
93129.7.65.112/30129.7.65.113 to 129.7.65.114129.7.65.1152
94129.7.65.116/30129.7.65.117 to 129.7.65.118129.7.65.1192
95129.7.65.120/30129.7.65.121 to 129.7.65.122129.7.65.1232
96129.7.65.124/30129.7.65.125 to 129.7.65.126129.7.65.1272
97129.7.65.128/30129.7.65.129 to 129.7.65.130129.7.65.1312
98129.7.65.132/30129.7.65.133 to 129.7.65.134129.7.65.1352
99129.7.65.136/30129.7.65.137 to 129.7.65.138129.7.65.1392
100129.7.65.140/30129.7.65.141 to 129.7.65.142129.7.65.1432
101129.7.65.144/30129.7.65.145 to 129.7.65.146129.7.65.1472
102129.7.65.148/30129.7.65.149 to 129.7.65.150129.7.65.1512
103129.7.65.152/30129.7.65.153 to 129.7.65.154129.7.65.1552
104129.7.65.156/30129.7.65.157 to 129.7.65.158129.7.65.1592
105129.7.65.160/30129.7.65.161 to 129.7.65.162129.7.65.1632
106129.7.65.164/30129.7.65.165 to 129.7.65.166129.7.65.1672
107129.7.65.168/30129.7.65.169 to 129.7.65.170129.7.65.1712
108129.7.65.172/30129.7.65.173 to 129.7.65.174129.7.65.1752
109129.7.65.176/30129.7.65.177 to 129.7.65.178129.7.65.1792
110129.7.65.180/30129.7.65.181 to 129.7.65.182129.7.65.1832
111129.7.65.184/30129.7.65.185 to 129.7.65.186129.7.65.1872
112129.7.65.188/30129.7.65.189 to 129.7.65.190129.7.65.1912
113129.7.65.192/30129.7.65.193 to 129.7.65.194129.7.65.1952
114129.7.65.196/30129.7.65.197 to 129.7.65.198129.7.65.1992
115129.7.65.200/30129.7.65.201 to 129.7.65.202129.7.65.2032
116129.7.65.204/30129.7.65.205 to 129.7.65.206129.7.65.2072
117129.7.65.208/30129.7.65.209 to 129.7.65.210129.7.65.2112
118129.7.65.212/30129.7.65.213 to 129.7.65.214129.7.65.2152
119129.7.65.216/30129.7.65.217 to 129.7.65.218129.7.65.2192
120129.7.65.220/30129.7.65.221 to 129.7.65.222129.7.65.2232
121129.7.65.224/30129.7.65.225 to 129.7.65.226129.7.65.2272
122129.7.65.228/30129.7.65.229 to 129.7.65.230129.7.65.2312
123129.7.65.232/30129.7.65.233 to 129.7.65.234129.7.65.2352
124129.7.65.236/30129.7.65.237 to 129.7.65.238129.7.65.2392
125129.7.65.240/30129.7.65.241 to 129.7.65.242129.7.65.2432
126129.7.65.244/30129.7.65.245 to 129.7.65.246129.7.65.2472
127129.7.65.248/30129.7.65.249 to 129.7.65.250129.7.65.2512
128129.7.65.252/30129.7.65.253 to 129.7.65.254129.7.65.2552
129129.7.66.0/30129.7.66.1 to 129.7.66.2129.7.66.32
130129.7.66.4/30129.7.66.5 to 129.7.66.6129.7.66.72
131129.7.66.8/30129.7.66.9 to 129.7.66.10129.7.66.112
132129.7.66.12/30129.7.66.13 to 129.7.66.14129.7.66.152
133129.7.66.16/30129.7.66.17 to 129.7.66.18129.7.66.192
134129.7.66.20/30129.7.66.21 to 129.7.66.22129.7.66.232
135129.7.66.24/30129.7.66.25 to 129.7.66.26129.7.66.272
136129.7.66.28/30129.7.66.29 to 129.7.66.30129.7.66.312
137129.7.66.32/30129.7.66.33 to 129.7.66.34129.7.66.352
138129.7.66.36/30129.7.66.37 to 129.7.66.38129.7.66.392
139129.7.66.40/30129.7.66.41 to 129.7.66.42129.7.66.432
140129.7.66.44/30129.7.66.45 to 129.7.66.46129.7.66.472
141129.7.66.48/30129.7.66.49 to 129.7.66.50129.7.66.512
142129.7.66.52/30129.7.66.53 to 129.7.66.54129.7.66.552
143129.7.66.56/30129.7.66.57 to 129.7.66.58129.7.66.592
144129.7.66.60/30129.7.66.61 to 129.7.66.62129.7.66.632
145129.7.66.64/30129.7.66.65 to 129.7.66.66129.7.66.672
146129.7.66.68/30129.7.66.69 to 129.7.66.70129.7.66.712
147129.7.66.72/30129.7.66.73 to 129.7.66.74129.7.66.752
148129.7.66.76/30129.7.66.77 to 129.7.66.78129.7.66.792
149129.7.66.80/30129.7.66.81 to 129.7.66.82129.7.66.832
150129.7.66.84/30129.7.66.85 to 129.7.66.86129.7.66.872
151129.7.66.88/30129.7.66.89 to 129.7.66.90129.7.66.912
152129.7.66.92/30129.7.66.93 to 129.7.66.94129.7.66.952
153129.7.66.96/30129.7.66.97 to 129.7.66.98129.7.66.992
154129.7.66.100/30129.7.66.101 to 129.7.66.102129.7.66.1032
155129.7.66.104/30129.7.66.105 to 129.7.66.106129.7.66.1072
156129.7.66.108/30129.7.66.109 to 129.7.66.110129.7.66.1112
157129.7.66.112/30129.7.66.113 to 129.7.66.114129.7.66.1152
158129.7.66.116/30129.7.66.117 to 129.7.66.118129.7.66.1192
159129.7.66.120/30129.7.66.121 to 129.7.66.122129.7.66.1232
160129.7.66.124/30129.7.66.125 to 129.7.66.126129.7.66.1272
161129.7.66.128/30129.7.66.129 to 129.7.66.130129.7.66.1312
162129.7.66.132/30129.7.66.133 to 129.7.66.134129.7.66.1352
163129.7.66.136/30129.7.66.137 to 129.7.66.138129.7.66.1392
164129.7.66.140/30129.7.66.141 to 129.7.66.142129.7.66.1432
165129.7.66.144/30129.7.66.145 to 129.7.66.146129.7.66.1472
166129.7.66.148/30129.7.66.149 to 129.7.66.150129.7.66.1512
167129.7.66.152/30129.7.66.153 to 129.7.66.154129.7.66.1552
168129.7.66.156/30129.7.66.157 to 129.7.66.158129.7.66.1592
169129.7.66.160/30129.7.66.161 to 129.7.66.162129.7.66.1632
170129.7.66.164/30129.7.66.165 to 129.7.66.166129.7.66.1672
171129.7.66.168/30129.7.66.169 to 129.7.66.170129.7.66.1712
172129.7.66.172/30129.7.66.173 to 129.7.66.174129.7.66.1752
173129.7.66.176/30129.7.66.177 to 129.7.66.178129.7.66.1792
174129.7.66.180/30129.7.66.181 to 129.7.66.182129.7.66.1832
175129.7.66.184/30129.7.66.185 to 129.7.66.186129.7.66.1872
176129.7.66.188/30129.7.66.189 to 129.7.66.190129.7.66.1912
177129.7.66.192/30129.7.66.193 to 129.7.66.194129.7.66.1952
178129.7.66.196/30129.7.66.197 to 129.7.66.198129.7.66.1992
179129.7.66.200/30129.7.66.201 to 129.7.66.202129.7.66.2032
180129.7.66.204/30129.7.66.205 to 129.7.66.206129.7.66.2072
181129.7.66.208/30129.7.66.209 to 129.7.66.210129.7.66.2112
182129.7.66.212/30129.7.66.213 to 129.7.66.214129.7.66.2152
183129.7.66.216/30129.7.66.217 to 129.7.66.218129.7.66.2192
184129.7.66.220/30129.7.66.221 to 129.7.66.222129.7.66.2232
185129.7.66.224/30129.7.66.225 to 129.7.66.226129.7.66.2272
186129.7.66.228/30129.7.66.229 to 129.7.66.230129.7.66.2312
187129.7.66.232/30129.7.66.233 to 129.7.66.234129.7.66.2352
188129.7.66.236/30129.7.66.237 to 129.7.66.238129.7.66.2392
189129.7.66.240/30129.7.66.241 to 129.7.66.242129.7.66.2432
190129.7.66.244/30129.7.66.245 to 129.7.66.246129.7.66.2472
191129.7.66.248/30129.7.66.249 to 129.7.66.250129.7.66.2512
192129.7.66.252/30129.7.66.253 to 129.7.66.254129.7.66.2552
193129.7.67.0/30129.7.67.1 to 129.7.67.2129.7.67.32
194129.7.67.4/30129.7.67.5 to 129.7.67.6129.7.67.72
195129.7.67.8/30129.7.67.9 to 129.7.67.10129.7.67.112
196129.7.67.12/30129.7.67.13 to 129.7.67.14129.7.67.152
197129.7.67.16/30129.7.67.17 to 129.7.67.18129.7.67.192
198129.7.67.20/30129.7.67.21 to 129.7.67.22129.7.67.232
199129.7.67.24/30129.7.67.25 to 129.7.67.26129.7.67.272
200129.7.67.28/30129.7.67.29 to 129.7.67.30129.7.67.312
201129.7.67.32/30129.7.67.33 to 129.7.67.34129.7.67.352
202129.7.67.36/30129.7.67.37 to 129.7.67.38129.7.67.392
203129.7.67.40/30129.7.67.41 to 129.7.67.42129.7.67.432
204129.7.67.44/30129.7.67.45 to 129.7.67.46129.7.67.472
205129.7.67.48/30129.7.67.49 to 129.7.67.50129.7.67.512
206129.7.67.52/30129.7.67.53 to 129.7.67.54129.7.67.552
207129.7.67.56/30129.7.67.57 to 129.7.67.58129.7.67.592
208129.7.67.60/30129.7.67.61 to 129.7.67.62129.7.67.632
209129.7.67.64/30129.7.67.65 to 129.7.67.66129.7.67.672
210129.7.67.68/30129.7.67.69 to 129.7.67.70129.7.67.712
211129.7.67.72/30129.7.67.73 to 129.7.67.74129.7.67.752
212129.7.67.76/30129.7.67.77 to 129.7.67.78129.7.67.792
213129.7.67.80/30129.7.67.81 to 129.7.67.82129.7.67.832
214129.7.67.84/30129.7.67.85 to 129.7.67.86129.7.67.872
215129.7.67.88/30129.7.67.89 to 129.7.67.90129.7.67.912
216129.7.67.92/30129.7.67.93 to 129.7.67.94129.7.67.952
217129.7.67.96/30129.7.67.97 to 129.7.67.98129.7.67.992
218129.7.67.100/30129.7.67.101 to 129.7.67.102129.7.67.1032
219129.7.67.104/30129.7.67.105 to 129.7.67.106129.7.67.1072
220129.7.67.108/30129.7.67.109 to 129.7.67.110129.7.67.1112
221129.7.67.112/30129.7.67.113 to 129.7.67.114129.7.67.1152
222129.7.67.116/30129.7.67.117 to 129.7.67.118129.7.67.1192
223129.7.67.120/30129.7.67.121 to 129.7.67.122129.7.67.1232
224129.7.67.124/30129.7.67.125 to 129.7.67.126129.7.67.1272
225129.7.67.128/30129.7.67.129 to 129.7.67.130129.7.67.1312
226129.7.67.132/30129.7.67.133 to 129.7.67.134129.7.67.1352
227129.7.67.136/30129.7.67.137 to 129.7.67.138129.7.67.1392
228129.7.67.140/30129.7.67.141 to 129.7.67.142129.7.67.1432
229129.7.67.144/30129.7.67.145 to 129.7.67.146129.7.67.1472
230129.7.67.148/30129.7.67.149 to 129.7.67.150129.7.67.1512
231129.7.67.152/30129.7.67.153 to 129.7.67.154129.7.67.1552
232129.7.67.156/30129.7.67.157 to 129.7.67.158129.7.67.1592
233129.7.67.160/30129.7.67.161 to 129.7.67.162129.7.67.1632
234129.7.67.164/30129.7.67.165 to 129.7.67.166129.7.67.1672
235129.7.67.168/30129.7.67.169 to 129.7.67.170129.7.67.1712
236129.7.67.172/30129.7.67.173 to 129.7.67.174129.7.67.1752
237129.7.67.176/30129.7.67.177 to 129.7.67.178129.7.67.1792
238129.7.67.180/30129.7.67.181 to 129.7.67.182129.7.67.1832
239129.7.67.184/30129.7.67.185 to 129.7.67.186129.7.67.1872
240129.7.67.188/30129.7.67.189 to 129.7.67.190129.7.67.1912
241129.7.67.192/30129.7.67.193 to 129.7.67.194129.7.67.1952
242129.7.67.196/30129.7.67.197 to 129.7.67.198129.7.67.1992
243129.7.67.200/30129.7.67.201 to 129.7.67.202129.7.67.2032
244129.7.67.204/30129.7.67.205 to 129.7.67.206129.7.67.2072
245129.7.67.208/30129.7.67.209 to 129.7.67.210129.7.67.2112
246129.7.67.212/30129.7.67.213 to 129.7.67.214129.7.67.2152
247129.7.67.216/30129.7.67.217 to 129.7.67.218129.7.67.2192
248129.7.67.220/30129.7.67.221 to 129.7.67.222129.7.67.2232
249129.7.67.224/30129.7.67.225 to 129.7.67.226129.7.67.2272
250129.7.67.228/30129.7.67.229 to 129.7.67.230129.7.67.2312
251129.7.67.232/30129.7.67.233 to 129.7.67.234129.7.67.2352
252129.7.67.236/30129.7.67.237 to 129.7.67.238129.7.67.2392
253129.7.67.240/30129.7.67.241 to 129.7.67.242129.7.67.2432
254129.7.67.244/30129.7.67.245 to 129.7.67.246129.7.67.2472
255129.7.67.248/30129.7.67.249 to 129.7.67.250129.7.67.2512
256129.7.67.252/30129.7.67.253 to 129.7.67.254129.7.67.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses